---     
tags: 
  - Frames
description: Updates a Frame's name and assigned layer
parameters:
  - in: header
    name: Authorization
    type: string
    required: true
  - in: path
    name: database
    type: string
    required: true
  - in: path
    name: frame_id
    type: string
    required: true    
  - in: body
    name: body
    type: object
    required: true
    schema:
      example: {
        "name": "New name",
        "layer": "asc"
    }    
produces: 
  - 'application/json'
responses:
  200:
    schema:
      type: object
      properties:
        message:
          type: string
          example: "Frame updated"     
  401:
    schema:
      type: object
      properties:
        error:
          type: string
          example: 'User not authorised'
  406:
    schema:
      type: object
      properties:
        error:
          type: string
          example: 'name, layer must be provided'

